ConstantBand (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Class ConstantBand

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.xychart.plotitem.ConstantBand

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class ConstantBand
      extends Graphics

  ConstantBand
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantBand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getColor()`
    `java.lang.Class` | `getPlotType()`
    `java.util.List<java.lang.Number>` | `getX()`
    `java.util.List<java.lang.Number>` | `getY()`
    `void` | `setColor(Color color)`
    `void` | `setColor(java.awt.Color color)`
    `void` | `setColori(Color color)`
    `void` | `setPlotType(java.lang.Class plotType)`
    `void` | `setX(java.util.List<java.lang.Object> xs)`
    `void` | `setY(java.util.List<java.lang.Number> y)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantBand

          public ConstantBand()

  - ### Method Detail

    - #### getX

          public java.util.List<java.lang.Number> getX()

    - #### setX

          public void setX(java.util.List<java.lang.Object> xs)

    - #### getY

          public java.util.List<java.lang.Number> getY()

    - #### setY

          public void setY(java.util.List<java.lang.Number> y)

    - #### setColor

          public void setColor(Color color)

    - #### setColor

          public void setColor(java.awt.Color color)

    - #### setColori

          public void setColori(Color color)

      Specified by:
        `setColori` in class `Graphics`

    - #### getColor

          public Color getColor()

      Specified by:
        `getColor` in class `Graphics`

    - #### getPlotType

          public java.lang.Class getPlotType()

    - #### setPlotType

          public void setPlotType(java.lang.Class plotType)